MONGOC_DATABASE_COPY(3)

NAME
mongoc_database_copy - mongoc_database_copy()

SYNOPSIS

mongoc_database_t *
mongoc_database_copy (mongoc_database_t *database);

PARAMETERS

•   database: A mongoc_database_t.

DESCRIPTION

Performs a deep copy of the database struct and its configuration. Useful if you intend to call mongoc_database_set_write_concern, mongoc_database_set_read_prefs, or mongoc_database_set_read_concern, and want to preserve an unaltered copy of the struct.

RETURNS

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc